<!-- button should not have an error since it uses ng-attr-type to set type -->
<button ng-attr-type="$ctrl.type">
	<!-- a should be disallowed in this context -->
	<a href="#">Lorem ipsum</a>
</button>
